GET
/api/v1/agents/{entityPublicId}/revenueTrust_GetAgentRevenue
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 401, 403, 404, 409, 410, 422, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Trust_GetAgentRevenue",
"summary": "List evidenced monthly revenue projections without aggregating assets",
"tags": [
"Trust"
],
"parameters": [
{
"name": "entityPublicId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
{
"name": "asset",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
{
"name": "from",
"in": "query",
"required": false,
"schema": {}
},
{
"name": "to",
"in": "query",
"required": false,
"schema": {}
},
{
"name": "methodologyVersion",
"in": "query",
"required": false,
"schema": {
"default": 1,
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
{
"name": "minCoveragePpm",
"in": "query",
"required": false,
"schema": {
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}
},
{
"name": "minConfidencePpm",
"in": "query",
"required": false,
"schema": {
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}
},
{
"name": "freshness",
"in": "query",
"required": false,
"schema": {
"default": "CURRENT",
"type": "string",
"enum": [
"CURRENT",
"ANY"
]
}
},
{
"name": "maxAgeSeconds",
"in": "query",
"required": false,
"schema": {
"default": 86400,
"type": "integer",
"minimum": 60,
"maximum": 2678400
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"default": 25,
"type": "integer",
"minimum": 1,
"maximum": 100
}
},
{
"name": "cursor",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 4096
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"entityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"query": {
"type": "object",
"properties": {
"assetPublicId": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"periodStart": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"periodEnd": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"methodologyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"minCoveragePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"minConfidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"freshness": {
"type": "string",
"enum": [
"CURRENT",
"ANY"
]
},
"maxAgeSeconds": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"assetPublicId",
"periodStart",
"periodEnd",
"methodologyVersion",
"minCoveragePpm",
"minConfidencePpm",
"freshness",
"maxAgeSeconds"
],
"additionalProperties": false
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"asset": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"key": {
"type": "string"
},
"caip19": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"symbol": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"decimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"key",
"caip19",
"symbol",
"decimals"
],
"additionalProperties": false
},
"periodKind": {
"type": "string",
"const": "CALENDAR_MONTH_UTC"
},
"periodBoundary": {
"type": "string",
"const": "[start,end)"
},
"periodStart": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"periodEnd": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"unit": {
"type": "string",
"const": "ATOMIC"
},
"confirmedGrossUnits": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"confirmedNetUnits": {
"type": "string",
"pattern": "^-?(0|[1-9][0-9]*)$"
},
"confirmedRefundUnits": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"confirmedFeeUnits": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"sources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"sourceKind": {
"type": "string",
"enum": [
"X402",
"ORDER",
"BOUNTY",
"CHAIN_FEE",
"PROVIDER",
"ADMIN_IMPORT"
]
},
"confirmedGrossUnits": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"confirmedNetUnits": {
"type": "string",
"pattern": "^-?(0|[1-9][0-9]*)$"
},
"confirmedRefundUnits": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"confirmedFeeUnits": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"observationCount": {
"type": "string",
"pattern": "^(0|[1-9][0-9]*)$"
},
"sourceCoveragePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"confidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
}
},
"required": [
"sourceKind",
"confirmedGrossUnits",
"confirmedNetUnits",
"confirmedRefundUnits",
"confirmedFeeUnits",
"observationCount",
"sourceCoveragePpm",
"confidencePpm"
],
"additionalProperties": false
}
},
"sourceCoveragePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"confidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"methodologyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"sourceWatermark": {
"$ref": "#/$defs/__schema0"
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"ageSeconds": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"stale": {
"type": "boolean"
}
},
"required": [
"publicId",
"asset",
"periodKind",
"periodBoundary",
"periodStart",
"periodEnd",
"unit",
"confirmedGrossUnits",
"confirmedNetUnits",
"confirmedRefundUnits",
"confirmedFeeUnits",
"sources",
"sourceCoveragePpm",
"confidencePpm",
"methodologyVersion",
"sourceWatermark",
"projectedAt",
"ageSeconds",
"stale"
],
"additionalProperties": false
}
},
"page": {
"type": "object",
"properties": {
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"hasMore": {
"type": "boolean"
},
"limit": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"nextCursor",
"hasMore",
"limit"
],
"additionalProperties": false
},
"methodologyUrl": {
"type": "string",
"format": "uri"
},
"disclosure": {
"type": "string",
"const": "Revenue includes confirmed evidenced settlements only; values are atomic units and are never aggregated across assets."
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"entityPublicId",
"query",
"data",
"page",
"methodologyUrl",
"disclosure",
"meta"
],
"additionalProperties": false,
"$defs": {
"__schema0": {
"anyOf": [
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
},
{
"type": "array",
"items": {
"$ref": "#/$defs/__schema0"
}
},
{
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"$ref": "#/$defs/__schema0"
}
}
]
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"401": {
"description": "unauthenticated",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"403": {
"description": "forbidden",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"409": {
"description": "conflict",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"410": {
"description": "challenge expired",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"422": {
"description": "proof invalid",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 3,
"x-stability": "STABLE"
}